# Poco

# class SHA2Engine384

Library: Foundation
Package: Crypt
Header: Poco/SHA2Engine.h

## Inheritance

Direct Base Classes: SHA2Engine

All Base Classes: DigestEngine, SHA2Engine

## Member Summary

Inherited Functions: constantTimeEquals, digest, digestFromHex, digestLength, digestToHex, reset, update, updateImpl

## Enumerations

### Anonymous

BLOCK_SIZE = 128

DIGEST_SIZE = 48

## Constructors

### SHA2Engine384

SHA2Engine384();

## Destructor

### ~SHA2Engine384

virtual ~SHA2Engine384();